### Function

# GimpUi prop_choice_combo_box_new

#### Declaration [src]

    GtkWidget*
    gimp_prop_choice_combo_box_new (
      GObject* config,
      const gchar* property_name
    )

#### Description [src]

Creates a `GimpStringComboBox` widget to display and set the specified property.

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of %GimpChoice property controlled by combo box.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The newly created `GimpStringComboBox` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.